Name:           python-rustcfg
Version:        0.0.1
Release:        2%{?dist}
Summary:        Rust cfg expression parser in python

License:        LGPLv2+
URL:            https://pagure.io/fedora-rust/python-rustcfg
Source0:        python-rustcfg-0.0.1.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest

%global _description \
%{summary}.

%description %_description

%package     -n python3-rustcfg
Summary:        %{summary}

Requires:       python3-pyparsing
%{?python_provide:%python_provide python3-rustcfg}

%description -n python3-rustcfg %_description

%package     -n python3-rustcfg-tests
Summary:        Tests for python3-rustcfg

Requires:       python3-rustcfg = %{version}-%{release}
Requires:       python3-pytest
%{?python_provide:%python_provide python3-rustcfg-tests}

%description -n python3-rustcfg-tests
%{summary}.

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
pytest-3 -v

%files -n python3-rustcfg
%license LICENSE
%{python3_sitelib}/rustcfg/
%exclude %{python3_sitelib}/rustcfg/test
%{python3_sitelib}/rustcfg-*.egg-info/

%files -n python3-rustcfg-tests
%{python3_sitelib}/rustcfg/test

%changelog
* Thu Aug 16 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-2
- Split out tests subpackage to avoid dependency on pytest

* Mon Aug 13 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-1
- Initial packaging (#1615629)
